package cn.com.qmth.examcloud.core.oe.admin.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.core.oe.admin.api.bean.*;

/**
 * @Description 同步考试记录请求类
 * @Author lideyin
 * @Date 2019/12/20 8:47
 * @Version 1.0
 */
public class SyncExamDataReq extends BaseRequest {
	private static final long serialVersionUID = -6468655557697004398L;

	/**
	 * 考试记录实体
	 */
	private ExamRecordDataBean examRecordData;

	/**
	 * 照片处理结果实体
	 */
	private ExamCaptureBean examCapture;

	/**
	 * 同步照片处理结果实体
	 */
	private ExamSyncCaptureBean examSyncCapture;

	/**
	 * face id活体检测结果实体
	 */
	private ExamFaceLivenessVerifyBean examFaceLivenessVerify;

	/**
	 * 新活检实体
	 */
	private FaceBiopsyBean faceBiopsy;

	/**
	 * 考试记录对应的试卷结构实体
	 */
	private ExamRecordPaperStructBean examRecordPaperStruct;

	/**
	 * 考试记录作答结果实体
	 */
	private ExamRecordQuestionsBean examRecordQuestions;



	public ExamRecordDataBean getExamRecordData() {
		return examRecordData;
	}

	public void setExamRecordData(ExamRecordDataBean examRecordData) {
		this.examRecordData = examRecordData;
	}

	public ExamCaptureBean getExamCapture() {
		return examCapture;
	}

	public void setExamCapture(ExamCaptureBean examCapture) {
		this.examCapture = examCapture;
	}

	public ExamSyncCaptureBean getExamSyncCapture() {
		return examSyncCapture;
	}

	public void setExamSyncCapture(ExamSyncCaptureBean examSyncCapture) {
		this.examSyncCapture = examSyncCapture;
	}

	public ExamFaceLivenessVerifyBean getExamFaceLivenessVerify() {
		return examFaceLivenessVerify;
	}

	public void setExamFaceLivenessVerify(ExamFaceLivenessVerifyBean examFaceLivenessVerify) {
		this.examFaceLivenessVerify = examFaceLivenessVerify;
	}

	public FaceBiopsyBean getFaceBiopsy() {
		return faceBiopsy;
	}

	public void setFaceBiopsy(FaceBiopsyBean faceBiopsy) {
		this.faceBiopsy = faceBiopsy;
	}

	public ExamRecordQuestionsBean getExamRecordQuestions() {
		return examRecordQuestions;
	}

	public void setExamRecordQuestions(ExamRecordQuestionsBean examRecordQuestions) {
		this.examRecordQuestions = examRecordQuestions;
	}

	public ExamRecordPaperStructBean getExamRecordPaperStruct() {
		return examRecordPaperStruct;
	}

	public void setExamRecordPaperStruct(ExamRecordPaperStructBean examRecordPaperStruct) {
		this.examRecordPaperStruct = examRecordPaperStruct;
	}
}
